﻿using Avalonia.Controls;
using ReactiveUI;
using AVSchool.Views;
using AVSchool.Models;

namespace AVSchool.ViewModels
{
    public class MainWindowViewModel : ViewModelBase
    {
        public static _43pAstashinContext connect = new _43pAstashinContext();

        UserControl us = new DataTeacher();

        public UserControl US
        {
            get => us;
            set => this.RaiseAndSetIfChanged(ref us, value);
        }

        DataTeacherViewModel dataTeachersViewModel = new DataTeacherViewModel();

        AddViewModel addViewModel = new AddViewModel();

        public DataTeacherViewModel DataTeacherVM
        {
            get => dataTeachersViewModel;
            set => dataTeachersViewModel = value;
        }


        public AddViewModel AddVM
        {
            get => addViewModel;
            set => addViewModel = value;
        }

        public void ToAdd()
        {
            US = new Add();
        }

        public void ToData()
        {
            US = new DataTeacher();
        }
    }

}