﻿using System;
using System.Collections.Generic;

namespace AVSchool.Models;

public partial class Teacher
{
    public int IdTeacher { get; set; }

    public string? Surname { get; set; }

    public string? Name { get; set; }

    public string? Patronymic { get; set; }

    public int IdGender { get; set; }

    public DateTime? DateBirth { get; set; }

    public int? Experience { get; set; }

    public string? Email { get; set; }

    public string? Phone { get; set; }

    public virtual ICollection<CourseTeacher> CourseTeachers { get; set; } = new List<CourseTeacher>();

    public virtual ICollection<DisciplinesTaught> DisciplinesTaughts { get; set; } = new List<DisciplinesTaught>();

    public virtual Gender IdGenderNavigation { get; set; } = null!;
}
