using Avalonia.Controls;
using Microsoft.EntityFrameworkCore;
using ReactiveUI;
using AVSchool.Models;
using AVSchool.Views;
using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace AVSchool.ViewModels
{
    public class DataTeacherViewModel : ViewModelBase
    {
        public List<Teacher> TeachersData => MainWindowViewModel.connect.Teachers.Include(x => x.IdGenderNavigation).
                                                                        Include(x => x.CourseTeachers).ThenInclude(x => x.IdCourseNavigation).
                                                                        Include(x => x.DisciplinesTaughts).ThenInclude(x => x.IdItemNavigation).ToList();

    }
}
